org.apache.jmeter.report.processor.graph

## Class StaticSeriesSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.AbstractSeriesSelector
  - - org.apache.jmeter.report.processor.graph.StaticSeriesSelector

All Implemented Interfaces:
  SampleSelector<Iterable<String>>, GraphSeriesSelector

    public class StaticSeriesSelector
    extends AbstractSeriesSelector

The class StaticSeriesSelector provides always the same series name.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`StaticSeriesSelector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSeriesName()` Gets the name of the series.
`Iterable<String>` `select(Sample sample)` Do the projection from the specified sample
`void` `setSeriesName(String seriesName)` Sets the name of the series.

### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractSeriesSelector

`allowsControllersDiscrimination, withDefaultIfEmpty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaticSeriesSelector

    public StaticSeriesSelector()

### Method Detail

#### getSeriesName

    public final String getSeriesName()

Gets the name of the series.

Returns:
  the name of the series

#### setSeriesName

    public final void setSeriesName(String seriesName)

Sets the name of the series.

Parameters:
  `seriesName` - the name of the series to set

#### select

    public Iterable<String> select(Sample sample)

Description copied from interface: `SampleSelector`
Do the projection from the specified sample

Parameters:
  `sample` - the sample
Returns:
  the projection result